> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/add-lip-sync/profiles-and-mappings.md).

# 配置文件与映射

控制 Convai blendshape 数据如何传递到角色面部网格的配置文件和映射资产的参考，以及何时创建自定义资产。

唇形同步系统使用两种 `ScriptableObject` 类型来描述 blendshape 数据如何从 Convai 流向你角色的网格： **配置文件** 和 **映射**。大多数设置都可使用随附资源——只有当你的绑定使用非标准的 blendshape 名称，或使用内置配置文件未涵盖的传输格式时，才需要创建自定义资源。

### 什么是配置文件？

某个 **配置文件** 定义传输格式——它告诉 SDK 在来自 Convai 的数据流中应期待哪些 blendshape 通道名称。该配置文件的 ID（例如， `arkit`, `metahuman`, `cc4_extended`）就是你输入到 `ConvaiLipSyncComponent._lockedProfileId`.

**随附提供了三个配置文件：**

| ID             | 显示名称         | 格式                           |
| -------------- | ------------ | ---------------------------- |
| `arkit`        | ARKit        | 61 个标准 ARKit 通道              |
| `metahuman`    | MetaHuman    | 251 个 MetaHuman CTRL 表情      |
| `cc4_extended` | CC4 Extended | 170 个 Character Creator 4 通道 |

这三个随附的配置文件已内置在 SDK 中——不存在 `.asset` 要在 Project 窗口中找到对应文件，也无需导入任何内容。直接将 ID 输入到 `_lockedProfileId`.

仅当你的角色使用专有的 blendshape 格式，且 Convai 通过自定义 ID 传输时，才创建自定义配置文件。实际上这种情况很少见——大多数流程使用这三种随附格式之一。

### 什么是映射？

某个 **映射** 将源 blendshape 通道（来自配置文件）路由到你角色的实际 blendshape 名称上 `SkinnedMeshRenderer`。它还允许你应用逐通道乘数、偏移和限制。

**随附提供了四个映射：**

| 映射资源                                         | 路由                            |
| -------------------------------------------- | ----------------------------- |
| `ConvaiLipSyncDefaultMap_ARKit`              | ARKit → ARKit（直通）             |
| `ConvaiLipSyncDefaultMap_MetaHuman`          | MetaHuman → MetaHuman（直通）     |
| `ConvaiLipSyncDefaultMap_CC4Extended`        | CC4Extended → CC4Extended（直通） |
| `ConvaiLipSyncDefaultMap_ARKitToCC4Extended` | ARKit → CC4Extended（转换）       |

当 `ConvaiLipSyncComponent._mapping` 留空时，SDK 会根据锁定的配置文件 ID 自动选择匹配的直通映射。

`ConvaiLipSyncMapAsset.Mappings` 将其条目以 `IReadOnlyList<BlendshapeMappingEntry>` ——在运行时读取映射的代码无法添加、删除或重新排序条目。在 Editor 中编写映射；请参见 [创建自定义唇形同步映射](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/add-lip-sync/create-a-custom-blendshape-map.md).

当你的角色的 blendshape 名称与预期名称不同，或者需要调整权重乘数以匹配绑定的校准时，请创建自定义映射。

### 何时创建自定义资源

| 情况                              | 创建                             |
| ------------------------------- | ------------------------------ |
| 你的绑定完全使用 ARKit/MetaHuman/CC4 名称 | 无需操作——使用随附映射（保持 `_mapping` 为空） |
| 你的绑定为标准 blendshape 使用了不同的名称     | Custom **映射** 仅                |
| 你收到的是 ARKit 流，但你的绑定使用 CC4 名称    | 使用随附的 `ARKitToCC4Extended` 映射  |
| 你的角色使用完全自定义的 blendshape 集       | Custom **配置文件** + 自定义 **映射**   |

### 下一步

{% content-ref url="/pages/23f7f0807dc9d3c6490dd0b0704dfd8092cd998e" %}
[创建口型同步配置文件](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/add-lip-sync/create-a-lip-sync-profile.md)
{% endcontent-ref %}

{% content-ref url="/pages/0808b43e9ba988a5156bb5fb55261f1f67638b57" %}
[创建自定义口型同步映射](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/add-lip-sync/create-a-custom-blendshape-map.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/add-lip-sync/profiles-and-mappings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
